Bug 1751384 - Setting to toggle host profile stealing
Summary: Setting to toggle host profile stealing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Jonathon Turel
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-11 21:11 UTC by Jonathon Turel
Modified: 2019-10-22 15:18 UTC (History)
3 users (show)

Fixed In Version: rubygem-katello-3.12.0.26-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1756057 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27840 None None None 2019-09-11 21:12:00 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:06 UTC

Description Jonathon Turel 2019-09-11 21:11:59 UTC
In 3.11 we changed host registration behavior to prevent a registering host from stealing the profile of an existing one unless its hostname and DMI UUID match.

This may not always be desired so we should default to allow stealing with the caveat that registration will be blocked if the DMI UUID of the new registration is *not* unique. Also, provide a setting to block profile steal so it can be opt-in behavior.

Comment 1 Jonathon Turel 2019-09-11 21:12:01 UTC
Created from redmine issue https://projects.theforeman.org/issues/27840

Comment 2 Jonathon Turel 2019-09-11 21:12:03 UTC
Upstream bug assigned to jturel@redhat.com

Comment 4 Mike McCune 2019-09-13 15:10:11 UTC
*** HOTFIX AVAILABLE FOR 6.5.2.1 ***


https://bugzilla.redhat.com/show_bug.cgi?id=1747177#c14

Comment 13 errata-xmlrpc 2019-10-22 12:47:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.